﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('exceptionList', ['$rootScope', '$scope', 'nav', '$ionicLoading', 'nativeHelper', 'utility', 'control', function ($rootScope, $scope, nav, $ionicLoading, nativeHelper, utility, control) {
        $scope.isShowPush = true;

        //$scope.exceptionList = {
        //    dataLr:[
        //        { pendecno: '浙萧市异入〔2017〕第16号', specausecn: '通过登记的住所或者经营场所无法联系', decorgcn: '萧山分局', abntime: '2017年09月15日' },
        //        { pendecno: '浙萧市异入〔2017〕第16号', specausecn: '通过登记的住所或者经营场所无法联系', decorgcn: '萧山分局', abntime: '2017年09月15日' },
        //    ],
        //    dataYc: [
        //        {
        //            pendecno: '湖长市监异出〔2017〕第254号',
        //            remexcprescn: '列入经营异常名录3年内且已补报未报年度（2016年度）的年度报告并公示',
        //            redecorgcn: '萧山分局',
        //            remdate: '2017年09月17日',
        //            lrPenDecNo: '浙萧市异入〔2017〕第16号',
        //            specausecn: '通过登记的住所或者经营场所无法联系',
        //            decorgcn: '萧山分局',
        //            abntime: '2017年09月17日'
        //        },
        //        {
        //            pendecno: '湖长市监异出〔2017〕第254号',
        //            remexcprescn: '列入经营异常名录3年内且已补报未报年度（2016年度）的年度报告并公示',
        //            redecorgcn: '萧山分局',
        //            remdate: '2017年09月17日',
        //            lrPenDecNo: '浙萧市异入〔2017〕第16号',
        //            specausecn: '通过登记的住所或者经营场所无法联系',
        //            decorgcn: '萧山分局',
        //            abntime: '2017年09月17日'
        //        },
        //    ],
        //    "LrSumNumber": 1,
        //    "YcSumNumber": 0
        //};

        var getExceptionList = function () {
            control.showLoading();
            var params = [{ 'pripid': $rootScope.curEnterpriseInfo.corpid, 'page': 1, 'pageSize': 100 }];
            var successFunc = function (result) {
                control.hideLoading();
                switch (result.type) {
                    case "success":
                        $scope.exceptionList = result;
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (error) {
                control.hideLoading();
                control.showPopup(error.msg, 3000);
            };

            nativeHelper.getExceptionList({ data: params, success: successFunc, fail: failFunc });
        }

        getExceptionList();

        $scope.navToDetail = function (item) {
            $rootScope.curException = item;
            nav.navigate('exceptionDetail');
        }
            
        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();
