﻿(function () {
    "use strict"
    angular.module('starter')
    .controller('subjectQuery', ['$rootScope', '$scope', 'nav', 'localStorage', 'control', '$filter', 'nativeHelper', '$ionicLoading', function ($rootScope, $scope, nav, localStorage, control, $filter, nativeHelper, $ionicLoading) {

        $scope.searchInfo = { 'key': '' };

        //主体查询搜索方法
        $scope.searchSelect = function () {
            control.showLoading();
            var params = [$scope.searchInfo.key];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) {
                    control.showPopup('服务出错啦', 3000);
                    return;
                }
                if (result.success) {
                    $rootScope.searchResult = result.value;

                    nav.navigate('reissueCert');

                }
                if (!result.success) {
                    control.showPopup(result.msg, 3000);
                }
            }

            var failFunc = function (error) {
                control.hideLoading();
                control.showPopup(error.msg, 3000);
            };

            nativeHelper.getSubjectQuerySearch({ data: params, success: successFunc, fail: failFunc });
        }


        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();