﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('creditIndex', ['$rootScope', '$scope', 'nav', 'control', 'nativeHelper','$state',function ($rootScope, $scope, nav, control, nativeHelper,$state) {
        $scope.isCompany = true;
        $scope.isAvg = true;
        var max = 0;

        // $rootScope.curEnterpriseInfo = { "avgIndustryScore": 70.32, "corpid": "3300000000012330", "creditScore": 71, "creditScoreDateStr": null, "encodeCorpid": "70041CAFB326E51A5E64E9E2EF3C41E2B08685D23A98ADDAD07DF06B5581D85C", "entBusItem": null, "entCertCode": null, "entCheckDate": "2016-03-01T00:00:00", "entCurrency": "156", "entEstDate": "2003-05-30T00:00:00", "entInCap": 0.0000, "entIndivalFlag": null, "entJur": "33001000", "entLepRep": "王伟松", "entManCount": 364, "entMgrBegin": "2003-05-30T00:00:00", "entMgrEnd": null, "entMgrScope": "年产：氮气（压缩的）110Nm3\/h，壬基酚聚氧乙烯醚500吨\/年（凭许可证经营），  化工产品（不含化学危险品和易制毒品）的开发、生产、销售及技术服务，经营进出口业务。", "entName": "浙江皇马科技股份有限公司", "entOrgRegNo": "751154748", "entPost": "312363", "entRealTrade": "2645", "entRegCap": 15000.0000, "entRegLoc": "浙江省绍兴市上虞区章镇工业新区", "entRegNo": "330000000044991", "entRegOrg": "浙江省工商行政管理局", "entRunLoc": "浙江省绍兴市上虞区章镇工业新区", "entState": "K", "entStateDesc": "存续", "entTaxRegNo": null, "entTel": "0575-2097088", "entTrade": "制造业", "entType": "股份有限公司（非上市、自然人投资或控股）", "entTypeCatg": "11", "entUnscId": "91330000751154748Y", "estDateStr": "2003-05-30", "flag": "", "frNum": null, "frflag": "", "gdflag": "", "ggflag": "", "id": "32", "zrrNum": null };
        // $rootScope.enterpriseCreditInfo = { "avgDmsDim1Score": 85.66, "avgDmsDim2Score": 48.06, "avgDmsDim3Score": 83.02, "avgDmsDim4Score": 66.64, "avgDmsDim5Score": 48.35, "avgDmsScore": null, "corpid": "3300000000012330", "dmsComments": "目标企业综合信用水平良好，企业具有一定的资产规模，良好的资产质量和盈利能力，预期违约概率为1.5%-5.4%，具备良好的信贷偿付能力", "dmsDate": "2016-11-01T00:10:45", "dmsDateStr": "2016-11-01", "dmsDim1Comments": "目标企业具有较高的固定资产规模和员工规模，总资产规模及产能规模相对较好。", "dmsDim1Score": 86, "dmsDim2Comments": "目标企业运营效率处于普通水平，库存周转率一般，资金周转效率一般。", "dmsDim2Score": 51, "dmsDim3Comments": "目标企业盈利能力较强，具有较高的营业利润率和净利率，成本控制能力相对较强。", "dmsDim3Score": 85, "dmsDim4Comments": "目标企业偿付能力一般，资产负债结构相对合理，现金流水平一般，较小概率出现偿付逾期情况。", "dmsDim4Score": 67, "dmsDim5Comments": "目标企业增长情况较弱，可能出现负增长的情况，销售业绩或利润出现下滑预期明显。", "dmsDim5Score": 47, "dmsEntTrade": "2645", "dmsEntTradeNo": 134, "dmsEntTradeTotal": 7477, "dmsRegCap": 15000.0000, "dmsScore": 71, "entName": "浙江皇马科技股份有限公司", "id": "1", "reportNum": "" };
         //基本信息
            $scope.curEntInfo = $rootScope.curEntCreditScoreData.entInfo;
          //数据信息
            $scope.enterpriseCreditInfo = $rootScope.curEntCreditScoreData.creditInfo;
            var dmsComments=$scope.enterpriseCreditInfo.dmsComments;
            var dmsCommentsResult=dmsComments.split("，");
            $scope.creditDescriptionTitle=dmsCommentsResult[0];
            $scope.creditDescriptionContent= dmsComments.slice($scope.creditDescriptionTitle.length+1)

  var getMax = function () {
            var allData = [$scope.enterpriseCreditInfo.dmsDim1Score,
                               $scope.enterpriseCreditInfo.dmsDim2Score,
                               $scope.enterpriseCreditInfo.dmsDim3Score,
                               $scope.enterpriseCreditInfo.dmsDim4Score,
                               $scope.enterpriseCreditInfo.dmsDim5Score,
                               $scope.enterpriseCreditInfo.avgDmsDim1Score,
                               $scope.enterpriseCreditInfo.avgDmsDim2Score,
                               $scope.enterpriseCreditInfo.avgDmsDim3Score,
                               $scope.enterpriseCreditInfo.avgDmsDim4Score,
                               $scope.enterpriseCreditInfo.avgDmsDim5Score,
            ];
                angular.forEach(allData, function (data, index, array) {

                    if (data >=max) {
                        max = data;
                    }

                });
                return max;
        };

        // 基于准备好的dom，初始化echarts实例
        var myChart = echarts.init(document.getElementById('main'));

        var func = function () {
            angular.forEach(data, function (data, index, array) {

                if (data >= max) {
                    max = data;
                }

            });
        }

        var getRelationData = function () {
            var option = {
                title: {
                    text: '',
                    subtext: ''
                },
                tooltip: {
                    trigger: 'axis'
                },
                legend: {
                    show: false,
                    orient: 'vertical',
                    x: 'right',
                    y: 'bottom',
                    data: ['公司', '平均水平'],
                    selected: {
                        '公司': $scope.isCompany,
                        '平均水平': $scope.isAvg,
                    }
                },
                toolbox: {
                    show: false,
                    feature: {
                        mark: { show: true },
                        dataView: { show: true, readOnly: false },
                        restore: { show: true },
                        saveAsImage: { show: true }
                    }
                },
                radar: {
                    nameGap: 10,
                    name: {
                        color: '#fff',
                    },
                    indicator: [
                        { text: $scope.enterpriseCreditInfo.dmsDim1Name, max: getMax() , color: '#fff'},
                                              { text: $scope.enterpriseCreditInfo.dmsDim2Name, max: getMax() , color: '#fff'},
                                              { text: $scope.enterpriseCreditInfo.dmsDim3Name, max: getMax() , color: '#fff'},
                                              { text:$scope.enterpriseCreditInfo.dmsDim4Name, max: getMax() , color: '#fff'},
                                              { text: $scope.enterpriseCreditInfo.dmsDim5Name, max: getMax() , color: '#fff'},
                    ]
                },
                calculable: true,
                series: [
                    {
                        name: '',
                        type: 'radar',
                        data: [
                           {
                                                          value: [$scope.enterpriseCreditInfo.dmsDim1Score,
                                                          $scope.enterpriseCreditInfo.dmsDim5Score,
                                                          $scope.enterpriseCreditInfo.dmsDim4Score,
                                                          $scope.enterpriseCreditInfo.dmsDim3Score,
                                                          $scope.enterpriseCreditInfo.dmsDim2Score,
                                                          ],
                                                          name: '公司'
                                                      },
                                                       {
                                                           value: [$scope.enterpriseCreditInfo.avgDmsDim1Score,
                                                           $scope.enterpriseCreditInfo.avgDmsDim5Score,
                                                           $scope.enterpriseCreditInfo.avgDmsDim4Score,
                                                           $scope.enterpriseCreditInfo.avgDmsDim3Score,
                                                           $scope.enterpriseCreditInfo.avgDmsDim2Score,
                                                           ],
                                                           name: '平均水平'
                             }
                        ]
                    }
                ]
            };
            // 使用刚指定的配置项和数据显示图表。
            myChart.setOption(option);
        };

        getRelationData();
        $scope.resetCharts = function (type) {
            switch (type) {
                case "isCompany":
                    $scope.isCompany = !$scope.isCompany;
                    break;
                case "isAvg":
                    $scope.isAvg = !$scope.isAvg;
                    break;
            }
            getRelationData();
        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
         $scope.toCreditIndexDetail=function(){
        $state.go('creditIndexDetail',{lastPage : "creditIndex"});
        }
    }]);
})();