﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('home', ['$rootScope', '$scope', '$state', 'nav', 'nativeHelper', 'localStorage', 'control', 'utility', '$timeout', '$ionicLoading', '$ionicPopup', '$ionicHistory',function ($rootScope, $scope, $state, nav, nativeHelper, localStorage, control, utility, $timeout, $ionicLoading, $ionicPopup,$ionicHistory) {

        //股东高管搜索字段
        $rootScope.searchRecord = { 'key': '' };

        /**
        *读取本地的历史搜索数据
        **/
        //搜索历史
        //var searchHistory = [
        //'上虞','浙江','工商','台州','茶业','企业'
        //];


        //localStorage.setObject('searchHistory', searchHistory);
        var searchHistory = localStorage.getObject('searchHistory');

        if (searchHistory.length === undefined) {
            $rootScope.searchHistory = [];
            }else{
            $rootScope.searchHistory = searchHistory;
            };

            //搜索历史数据操作
        //删除搜索历史
        var removeByValue=function (arr, val) {
            for (var i = 0; i < arr.length; i++) {
                if (arr[i] == val) {
                    arr.splice(i, 1);
                    break;
                }
            }
        }
        $rootScope.deleteItem = function (item) {
            removeByValue($rootScope.searchHistory, item);
            localStorage.setObject('searchHistory', $rootScope.searchHistory);
         
        };
        //清空历史搜索
        $rootScope.deleteAllSearchHistory = function () {
            $rootScope.searchHistory = [];
            localStorage.setObject('searchHistory', $rootScope.searchHistory);
        };


        $timeout(function () {
            var params =[{'type': 'ios'}];
            var successFunc = function(result) {
                if (cordova.platformId === 'android') {
                    var confirmPopup = $ionicPopup.confirm({
                    title: result.content,
                    cssClass: 'private-popup-confirm',
                    cancelText: '取消',
                            okText: '确定'
                    });
                confirmPopup.then(function (res) {
                    if (res) {
                            cordova.InAppBrowser.open(result.url, '_system');
                            return;
                        } else {
                            cancelFunc();
                        }
                    });
                }
            };

            var failFunc = function (result) {
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.checkUpdate({
                data: params, success: successFunc, fail: failFunc
            });
        }, 10000);

        $scope.openLink = function (url, title) {
            var networkState = navigator.connection.type;

            if (networkState == Connection.NONE) {
                nav.navigate('noweb');
            }
            else {
                var operation = 'location=no,toolbar=no,disallowoverscroll=yes';
                cordova.InAppBrowser.open(url, '_blank', operation);
            }
        };

        $scope.navToChild = function () {
            $rootScope.shareholderAndExecutiveParent = 'tab/home';
            nav.navigate('shareholderAndExecutive');
        };

        $scope.navigate = function (state) {
            switch (state) {

                case 'discreditable':
                    //法人/企业失信标识，true：法人失信；false：企业失信
                    $rootScope.typeShow = false;
                    $rootScope.isShowdiscred = false;
                    $rootScope.isClick = true;
                break;
                case 'tab/report':
                    if ($rootScope.userInfo.xybgcx == 'false') {
                        control.showPopup('暂无权限', 3000);
                        return;
                    }
                break;
                case 'riskWarning':
                    if ($rootScope.userInfo.fxzscx == 'false') {
                        control.showPopup('暂无权限', 3000);
                        return;
                    }
                break;
            }

            nav.navigate(state);
        };
    }]);
})();