﻿(function () {
    "use strict"

    angular.module('starter')
    .factory('requestUtils', ['$q', '$rootScope', '$ionicLoading', 'validate', 'localStorage', 'control', 'nativeHelper', function ($q, $rootScope, $ionicLoading, validate, localStorage, control, nativeHelper) {

        var getMessages = function (showNum, pageNum) {
            var params = [{ "userid": $rootScope.userInfo.uid, "pageSize": showNum, "page": pageNum }];
            var successFunc = function (result) {
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                          $rootScope.hasRead = result.hasRead;
                          $rootScope.messagesList = result.data;
                          $rootScope.allMessageNum=result.num;
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }
            var failFunc = function (result) {
                control.showPopup(result.msg, 3000);
            };
            nativeHelper.getFollowAndSystemMessage({ data: params, success: successFunc, fail: failFunc });
        };

        return {
            getMessages: getMessages,

        };
    }]);
})();