﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('messageDetail', ['$rootScope', '$scope', 'nav', 'nativeHelper',  'control', function ($rootScope, $scope, nav, nativeHelper, control) {

        $scope.curFilterType = '';

        //页码
        var pageNum = 1;
        //显示的数量
        var showNum = 10;
   
        $scope.isClick = true;
        var readingState  = function () {
            var params = [{"userid": $rootScope.userInfo.uid, "messageid": $rootScope.messageDetails.messageid}];
            var successFunc = function (result) {
                control.hideLoading();

                $scope.can_loadmore = true;
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.messageDetail = result.data;

                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }
            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.readingState({ data: params, success: successFunc, fail: failFunc });

        };
        //默认显示关注消息
        readingState();
        $scope.showMessageType = 0;
        $scope.clickEvent = function (type) {
            $scope.showMessageType = type;

            getMessages();
        };


        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();