﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('discreditable', ['$scope', 'nav', '$rootScope', '$ionicScrollDelegate', 'validate', 'nativeHelper', 'control', function ($scope, nav, $rootScope, $ionicScrollDelegate, validate, nativeHelper, control) {

        $scope.searchDiscreditable = { key: '' }
  
        var pageNum = 1;//页码
        var showNum = 10;

     
        //参数entName：搜索条件
        var getDiscreditableList = function () {
            control.showLoading();
            var params = [{ "page": pageNum, "pageSize": showNum, "entName": $scope.searchDiscreditable.key }];
            var successFunc = function (result) {
                control.hideLoading();
                //结束刷新
                $scope.$broadcast('scroll.refreshComplete');
                $scope.can_loadmore = true;
                $scope.isloadmore = false;
              
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            switch ($rootScope.typeShow) {
                                case true:
                                    //法人失信
                                    $scope.dishonestyPeoListData = result.data;
                                    if(result.num==0){
                                     control.showPopup('查无数据', 3000);
                                    }
                                  
                                    break;
                                case false:
                                    //企业失信
                                    //$scope.dishonestyEntListData = result.data;
                                    $scope.dishonestyEntListData = [];
                               
                                //if (result.num == 0) {
                                    control.showPopup('查无数据', 3000);
                                //}
                            }
                           
                        });
                        break;
                    case "fail":
                        $scope.can_loadmore = false;
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };
            switch ($rootScope.typeShow) {
                case true:
                //法人失信
                    $rootScope.typeShow = true;
                    nativeHelper.getDiscreditableList({ data: params, success: successFunc, fail: failFunc });
                    break;
                case false:
                //企业失信
                    $rootScope.typeShow = false;
                    nativeHelper.getEnterpriseDishonestyList({ data: params, success: successFunc, fail: failFunc });
                    break;
            }
            
        };

        //搜索历史逻辑
        $scope.search = function () {
            $rootScope.isShowdiscred = true;
            control.showLoading();
            getDiscreditableList();
            $ionicScrollDelegate.scrollTop();
        };

        //下拉刷新
        //$scope.doRefresh=function(){
        //     pageNum = 1;
        //     showNum = 10;
        //    getDiscreditableList();
        //    $scope.$broadcast('scroll.refreshComplete');
        //};
        //上拉刷新
        //$scope.can_loadmore = true;
        //$scope.loadMore = function () {

        //    if ($scope.total > showNum) {
        //        showNum = 10 + showNum;
        //        getDiscreditableList();
        //        $scope.can_loadmore = false;

        //    } else {
        //        $scope.isloadmore = true;
        //    }
        //    $scope.can_loadmore = false;
        //    $scope.$broadcast('scroll.infiniteScrollComplete');

        //    return;
        //};

       
      
        $scope.clickEvent = function (type) {
            $scope.searchDiscreditable = { key: '' }
         
            switch(type){
                case 'ent':
                    $rootScope.typeShow = false;
                    $rootScope.isClick = true;
             
                    break;
                case 'per':
                    $rootScope.typeShow = true;
                    $rootScope.isClick = false;
                  
                    break;
            }
        };

        $scope.navToDeatails = function (item) {
            switch ($rootScope.typeShow) {
                case false:
                    $rootScope.curDiscredit = item;
                    $rootScope.entDiscreditParent = 'discreditable';
                    nav.navigate('entDiscreditDetail');
                    break;
                case true:
                  
                    $rootScope.dishonestyDeatail = item;
                       nav.navigate('dishonestyDeatails');
                    break;
            }
        }
        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();