﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('entBackgroudInfo', ['$rootScope', '$scope', 'nav', 'nativeHelper', 'utility', 'control', function ($rootScope, $scope, nav, nativeHelper, utility, control) {
        $scope.isShowBaseInfo = true;
        $scope.isShowCapitalInfo = true;
        $scope.isShowMangerInfo = true;
        $scope.contentDown = '展开';
        $scope.contentUp = '收起';
        $scope.unit='万元';
        var getEntBaseInfo = function () {
            control.showLoading();
            var params = [{ 'corpid': $rootScope.curEnterpriseInfo.corpid }];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.entBaseInfo = result;
                            var entTypeCatg= result.crEntBaseInfoList.entTypeCatg;
                            if (entTypeCatg === '21') {
                                $scope.unit = '万美元';
                            }
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            };

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getEntBaseInfo({ data: params, success: successFunc, fail: failFunc });
        };

        getEntBaseInfo();

        $scope.navToMangerList = function (item) {
            //跳转到高管搜索页，并自动搜索，可设置全局条件出发监听事件
            //$rootScope.searchRecord.key = item;
            //$rootScope.shareholderAndExecutiveParent = 'entBackgroudInfo';
            //nav.navigate('shareholderAndExecutive');
        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();