﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('entChangeHistory', ['$rootScope', '$scope', 'nav', 'nativeHelper', 'control', function ($rootScope, $scope, nav, nativeHelper, control) {
        $scope.entChangeHistoryList = [];

        //$scope.entChangeHistoryList = [
        //    {
        //        hzrq: '2011-06-16T00:00:00',
        //        bgsx: '住所(营业场所、地址)变更',
        //        bgnr: '住所: 浙江省上虞市329国道（小越段）88号; 邮政编码: 312367;电话: 2039337;住所所在行政区划:上虞市',
        //        bghnr: '住所: 浙江省上虞市329国道（小越段）88号; 邮政编码: 312367;电话: 2039337;住所所在行政区划:上虞市'
        //    },
        //    {
        //        hzrq: '2011-06-16T00:00:00',
        //        bgsx: '组织机构变更',
        //        bgnr: '姓名: 安瑟．卢多维克．米歇尔; 证件名称: ; 证件号码: 12AH36730; 性别: 男性; 职务: 董事长 姓名: 德布鲁尼．爱里克．雅克．科尼尔; 证件名称: ; 证件号码: 10CE16677; 性别: 男性; 职务: 董事 姓名: 荷马．皮埃尔．奥古斯汀．罗伯特; 证件名称: ; 证件号码: 10C137752; 性别: 男性; 职务: 董事 姓名: 邵秋芬; 证件名称: ; 证件号码: ******; 性别: 女性; 职务: 董事 姓名: 朱升尧; 证件名称: ; 证件号码: ******; 性别: 男性; 职务: 副董事长 姓名: 朱升尧; 证件名称: ; 证件号码: ******; 性别: 男性; 职务: 总经理',
        //        bghnr: '姓名: 安瑟．卢多维克．米歇尔; 证件名称: ; 证件号码: 12AH36730; 性别: 男性; 职务: 董事长 姓名: 德布鲁尼．爱里克．雅克．科尼尔; 证件名称: ; 证件号码: 10CE16677; 性别: 男性; 职务: 董事 姓名: 荷马．皮埃尔．奥古斯汀．罗伯特; 证件名称: ; 证件号码: 10C137752; 性别: 男性; 职务: 董事 姓名: 邵秋芬; 证件名称: ; 证件号码: ******; 性别: 女性; 职务: 董事 姓名: 朱升尧; 证件名称: ; 证件号码: ******; 性别: 男性; 职务: 副董事长 姓名: 朱升尧; 证件名称: ; 证件号码: ******; 性别: 男性; 职务: 总经理'
        //    },
        //];

        var getEntChangeHistoryList = function () {
            control.showLoading();
            var params = [{ 'nbxh': $rootScope.curEnterpriseInfo.corpid, 'page': 1, 'pageSize': 100 }];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.entChangeHistoryList = result.data;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            };

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getEntChangeHistoryList({ data: params, success: successFunc, fail: failFunc });
        }

        getEntChangeHistoryList();

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();