﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('entCredit', ['$rootScope', '$scope', '$ionicScrollDelegate', 'nav', 'nativeHelper', 'localStorage', 'control', 'validate', function ($rootScope, $scope, $ionicScrollDelegate, nav, nativeHelper, localStorage, control, validate) {
        $scope.entSearch = { 'key': '' };
        $rootScope.enterpriseList = [];
        $scope.isSearch = false;
        $scope.curFilterType = '';
        $scope.isShow = false;
        $scope.isBack = true;

        //$rootScope.enterpriseList = [
        //    { corpid: 'E12DHF126545', entName: '浙江阿克希龙舜华铝塑业有限公司', entLepRep: '罗利耶．让．约瑟夫． 皮埃尔．乔治斯', entStateDesc: '续存', entRegLoc: '杭州市莫干山路1111号', estDateStr: '2017-01-01', creditScore: '80', avgIndustryScore: '77', flag: '0', creditScoreDateStr: '2017-01-01' },
        //    { corpid: 'E12DHF126545', entName: '浙江阿克希龙舜华铝塑业有限公司', entLepRep: '罗利耶．让．约瑟夫． 皮埃尔．乔治斯', entStateDesc: '续存', entRegLoc: '杭州市莫干山路1111号', estDateStr: '2017-01-01', creditScore: '98', avgIndustryScore: '77', flag: '1', creditScoreDateStr: '2017-01-01' },
        //    { corpid: 'E12DHF126545', entName: '浙江阿克希龙舜华铝塑业有限公司浙江阿克希龙舜华铝塑业有限公司', entLepRep: '罗利耶．让．约瑟夫． 皮埃尔．乔治斯', entStateDesc: '续存', entRegLoc: '杭州市莫干山路1111号', estDateStr: '2017-01-01', creditScore: '98', avgIndustryScore: '77', flag: '0', creditScoreDateStr: '2017-01-01' },
        //    { corpid: 'E12DHF126545', entName: '浙江阿克希龙舜华铝塑业有限公司浙江阿克希龙舜华铝塑业有限公司', entLepRep: '罗利耶．让．约瑟夫． 皮埃尔．乔治斯', entStateDesc: '续存', entRegLoc: '杭州市莫干山路1111号', estDateStr: '2017-01-01', creditScore: '98', avgIndustryScore: '77', flag: '0', creditScoreDateStr: '2017-01-01' },
        //    { corpid: 'E12DHF126545', entName: '浙江阿克希龙舜华铝塑业有限公司浙江阿克希龙舜华铝塑业有限公司', entLepRep: '罗利耶．让．约瑟夫． 皮埃尔．乔治斯', entStateDesc: '续存', entRegLoc: '杭州市莫干山路1111号', estDateStr: '2017-01-01', creditScore: '98', avgIndustryScore: '77', flag: '1', creditScoreDateStr: '2017-01-01' }
        //];

        /**
       *调用“我的分组”接口
       **/
        //我的分组列表
        var getGroupData = function () {

            var params = [{ "userId": $rootScope.userInfo.uid }];
            var successFunc = function (result) {
                $scope.can_loadmore = true;
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $rootScope.myGroupList = result.data;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getGroupData({ data: params, success: successFunc, fail: failFunc });

        };

        getGroupData();

        /**
        传递json对象给原生
        */
       var getEnterpriseList = function () {
            control.showLoading();
            var params = [{ "entName": $scope.entSearch.key, "userId": $rootScope.userInfo.uid}];
            var successFunc = function (result) {
                control.hideLoading();
                //恢复上拉加载
                //$scope.can_loadmore = true;
                  //$scope.isloadmore = false;
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $rootScope.enterpriseList = result.data;
                            //$scope.entListTotal = result.num;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getEnterpriseList({ data: params, success: successFunc, fail: failFunc });

       };

        //点击搜索历史进行查询
       $scope.lookup = function (item) {
           $scope.entSearch.key = item;
           $scope.search();
           $scope.isShow = true;
       };

       //搜索历史逻辑
       $scope.search = function () {
           //control.showLoading();
           $scope.isShow = true;
           $scope.isSearch = true;
           if (!validate.nullOrEmpty($scope.entSearch.key)) {
               var isEqual = false;
               angular.forEach($rootScope.searchHistory, function (data, index, array) {

                   if (data === $scope.entSearch.key) {
                       isEqual = true;
                   }

               });
               if (!isEqual) {

                   $rootScope.searchHistory.push($scope.entSearch.key);
                   localStorage.setObject('searchHistory', $rootScope.searchHistory);
               }
               getEnterpriseList();
               $ionicScrollDelegate.scrollTop();
           }else{
               //control.hideLoading();
               control.showPopup('请输入企业名、人名等关键字', 2000);
           };
          
       };

        //获取下拉刷新数据
       //$scope.doRefresh = function () {
       //     showNum = 10;
       //     getEnterpriseList();

       //     $scope.$broadcast('scroll.refreshComplete');
       // };
        //初次允许上拉加载更多
       //$scope.can_loadmore = true;
       //$scope.isloadmore = false;
       // $scope.loadMore = function () {
      
       //     if ($scope.entListTotal > showNum) {
       //         showNum = 10 + showNum;
       //        getEnterpriseList();
       //         $scope.can_loadmore = false;

       //     } else {
       //         //alert("isloadmore");
       //         $scope.isloadmore = true;
       //     }
       //     $scope.can_loadmore = false;
 
       //     $scope.$broadcast('scroll.infiniteScrollComplete');

       //     return;
       // };

       $scope.isFocus = function () {
            $ionicScrollDelegate.scrollTop();
            if ($scope.isSearch) {
                $scope.isShow = false;
                $scope.isBack = false;
            } else {
                $scope.isBack = true;
            }
        };

        $scope.isBlur = function () {
            $scope.showClear = false;
        };

        $scope.cancel = function () {
            if ($scope.isBack) {
                $scope.entSearch.key = '';
                nav.navigate('tab/home');
            } else {
                $scope.isShow = true;
                $scope.isBack = true;
            }
        };

        $scope.entDetailItem = function (data) {
            $rootScope.entDetailItemData = data;
            nav.navigate('');
        }

        $scope.setFilterType = function (type) {
            $scope.curFilterType == type ? $scope.curFilterType = '' : $scope.curFilterType = type;
        }

        $scope.secondFilterGroup = [
            { index: '0', value: '全部行业' },
            { index: '1', value: '农、林、牧、渔业' },
            { index: '2', value: '采矿业' },
            { index: '3', value: '制造业' },
            { index: '4', value: '电力、热力、燃气及水生产和供应业' },
            { index: '5', value: '建筑业' },
            { index: '6', value: '批发和零售业' },
            { index: '7', value: '交通运输、仓储和邮政业' },
            { index: '8', value: '住宿和餐饮业' },
            { index: '9', value: '房地产业' }
        ];

        $scope.filterGroup = 
            {
                '0': ['全部行业'],
                '1': [
                    '农业',
                    '林业',
                    '牧业',
                    '渔业'
                ],
                '2': ['采矿业'],
                '3': ['制造业'],
                '4': [
                    '电力',
                    '热力',
                    '燃气',
                    '水生产和供应业'
                ],
                '5': ['建筑业'],
                '6': [
                    '全部行业',
                    '化肥批发',
                    '建材批发',
                    '金属及金属矿批发',
                    '非金属及金属矿批发',
                    '石油及制品批发',
                    '矿产品、建材及化工产品批发',
                    '中药批发',
                    '西药批发',
                    '医药及医疗器材批发',
                ],
            }


        $scope.secondClick = function (item) {
            $scope.secondFilterIndex = item.index;
            $scope.thirdFilterGroup = $scope.filterGroup[item.index];
        }

        $scope.thirdClick = function (item) {
            $scope.thirdFilterIndex = item;
        };


        $scope.navToDetail = function (item) {
            $rootScope.curEnterpriseInfo = item;
            $rootScope.entDetailParent = 'entCredit';
            nav.navigate('entDetail');
        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();