﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('justice', ['$rootScope', '$scope', 'nav', 'validate', 'nativeHelper', 'control', function ($rootScope, $scope, nav, validate, nativeHelper, control) {
        //$scope.certList = [
        //    { entName: '上虞市崧厦三利装璜店', certCode: '绍市危化经（虞）字[2012]030001', certName: '危险化学品经营许可证', certDate: '2012-01-09~2015-01-08' },
        //    { entName: '杭州天健流体控制设备有限公司上虞分公司', certCode: '绍市危化经（虞）字[2012]030001', certName: '危险化学品经营许可证', certDate: '2012-01-09~2015-01-08' },
        //    { entName: '上虞市崧厦三利装璜店', certCode: '绍市危化经（虞）字[2012]030001', certName: '危险化学品经营许可证', certDate: '2012-01-09~2015-01-08' },
        //    { entName: '杭州天健流体控制设备有限公司上虞分公司', certCode: '绍市危化经（虞）字[2012]030001', certName: '危险化学品经营许可证', certDate: '2012-01-09~2015-01-08' },
        //    { entName: '杭州天健流体控制设备有限公司上虞分公司', certCode: '绍市危化经（虞）字[2012]030001', certName: '危险化学品经营许可证', certDate: '2012-01-09~2015-01-08' },
        //];

        var getJusticeInfo = function () {
            control.showLoading();
            var params = [{ 'corpid': $rootScope.curEnterpriseInfo.corpid, 'page': '1', 'pageSize': '100' }];
            var successFunc = function (result) {
                control.hideLoading();

                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.justiceInfo = result;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getJusticeInfo({ data: params, success: successFunc, fail: failFunc });
        };

        getJusticeInfo();

        $scope.impowerMsg = function (msg) {
            control.showPopup(msg, 3000);
        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();