﻿(function () {
    "use strict"
    angular.module('starter')
    .controller('reissueCert', ['$rootScope', '$scope', 'nav', 'control', 'nativeHelper', '$ionicLoading', function ($rootScope, $scope, nav, control, nativeHelper, $ionicLoading) {


        //        $scope.receiveCertList = [{ name: "杭州天日管带机电有限公司", creditcode: "91330103768226250J", certName: "杭州天日管带机电有限公司", certType: "省法人数字证书" }];
        //        $scope.canGetCertList = [{ name: "杭州天日管带机电有限公司", creditcode: "91330103768226250J", certName: "杭州天日管带机电有限公司", certType: "省法人数字证书" }];
        //默认证书状态title


        $scope.possess = false;
        $scope.canGet = false;

        if ($rootScope.searchResult.alreadyReceived.length > 0) {
            $scope.title = "证书补办";
            $scope.possess = true;
        }
        if ($rootScope.searchResult.canReceived.length > 0) {
            $scope.title = "证书新领";
            $scope.canGet = true;
        }


        //证书新领、补办下一步操作 type: "P012"证书新领 "B03"证书补办
        var onNext = function (item, businessCode, netType) {
            //封装证书新领或补办进行中所需信息
            $rootScope.certUnderwayInfo = {
                entName: $rootScope.searchResult.entName,
                uniscid: $rootScope.searchResult.uniscid,
                category: item.category,
                corpid: item.corpid,
                businessCode: businessCode
            }

            control.showLoading();
            var params = [item.corpid, '010', businessCode, netType];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) {
                    control.showPopup('服务出错啦', 3000);
                    return;
                }
                if (result.success) {
                    $rootScope.certHandleNoticeParent = 'reissueCert';
                    nav.navigate('certHandleNotice');
                }
                if (!result.success) {
                    control.showPopup(result.msg, 3000);
                }
            }

            var failFunc = function (error) {
                control.hideLoading();
                alert("Error: \r\n" + error);
            };

            nativeHelper.judgeRepeatNetOrder({ data: params, success: successFunc, fail: failFunc });

        }
        //证书操作类型收缩控制
        $scope.possessOrCanGet = function (e) {
            switch (e) {
                case 'possess':
                    $scope.possess = !$scope.possess;

                    break;
                case 'canGet':
                    $scope.canGet = !$scope.canGet;

                    break;

            }
        }
        $scope.certOperation = function (item, type) {
            switch (type) {
                case 'possess':
                    if (!item.makeUp) {
                        control.showPopup(item.reason, 2000);
                    } else {
                        onNext(item, 'B03', "8");
                    }
                    break;
                case 'canGet':
                    if (!item.applyNew) {
                        control.showPopup(item.reason, 2000);
                    } else {
                        onNext(item, 'P012', "6");
                    }
                    break;

            }
        }
        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();