﻿(function () {
  "use strict"
  
  angular.module('starter')
  .controller('relationship', ['$rootScope', '$scope', '$ionicScrollDelegate', 'nav', 'nativeHelper', 'control', 'validate', 'localStorage', function ($rootScope, $scope, $ionicScrollDelegate, nav, nativeHelper, control, validate, localStorage) {
      $scope.relationshipSearch = { 'key': '' };
      $scope.isShow = true;
      $scope.can_loadmore = true;
      $scope.isloadmore = false;
      $scope.type = '';
      var showNum = 10;

      //$scope.relationshipList = [
      //    { entName: '浙江阿克希龙舜华铝塑业有限公司', entLepRep: '张三', frNum: '2', zrrNum: '1' },
      //    { entName: '浙江阿克希龙舜华铝塑业有限公司', entLepRep: '李四', frNum: '3', zrrNum: '4' },
      //];

      var getRelationshipList = function () {
          control.showLoading();
          var params = [{  'entName': $scope.relationshipSearch.key }];
          var successFunc = function (result) {
              control.hideLoading();
              if (result == null || angular.equals({}, result)) { return; }
              $scope.can_loadmore = true;
              $scope.isloadmore = false;
              switch (result.type) {
                  case "success":
                      $scope.$apply(function () {
                          $scope.relationshipList = result.entList;
                          //$scope.count = result.count;
                      });
                      break;
                  case "fail":
                      control.showPopup(result.msg, 3000);
                      break;
              }
          }

          var failFunc = function (result) {
              control.hideLoading();
              control.showPopup(result.msg, 3000);
          };

          nativeHelper.getRelationshipList({ data: params, success: successFunc, fail: failFunc });
      };

      //获取下拉刷新数据
      //$scope.doRefresh = function () {
      //    showNum = 10;
      //    $scope.isloadmore = false;
      //    getRelationshipList();
      //    $scope.$broadcast('scroll.refreshComplete');
      //};

      //上拉换页
      //$scope.loadMore = function () {
      //    if ($scope.relationshipList.length > 0) {
      //        if ($scope.count > showNum) {
      //            showNum = showNum + showNum;
      //            getRelationshipList();
      //        } else {
      //            $scope.isloadmore = true;
      //        }
      //    }
      //    $scope.can_loadmore = true;
      //    $scope.$broadcast('scroll.infiniteScrollComplete');
      //}

      $scope.isFocus = function () {
          $ionicScrollDelegate.scrollTop();
          $scope.isShow = false;
          $scope.isSearch = true;
          $scope.showClear = true;
      };

      $scope.search = function () {
          //control.showLoading();
          $scope.isShow = true;
          if (!validate.nullOrEmpty($scope.relationshipSearch.key)) {
              var isEqual = false;
              angular.forEach($rootScope.searchHistory, function (data, index, array) {

                  if (data == $scope.relationshipSearch.key) {
                      isEqual = true;
                  }

              });
              if (!isEqual) {

                  $rootScope.searchHistory.push($scope.relationshipSearch.key);
                  localStorage.setObject('searchHistory', $rootScope.searchHistory);
              }
              getRelationshipList();
              $ionicScrollDelegate.scrollTop();
          } else {
              //control.hideLoading();
              control.showPopup('请输入企业名、人名等关键字', 2000);
          };
     
      }

      $scope.lookup = function (item) {
          $scope.relationshipSearch.key = item;
          $scope.search();
          $scope.isShow = true;
      };

      $scope.navToList = function (item) {
          $scope.isShow = true;
          $scope.relationshipSearch.key = item.name;
          //getRelationshipList();
      };

      $scope.navToDetail = function (item) {
          $rootScope.curEnterpriseInfo = item;
          $rootScope.relationshipParent = 'relationship';
          nav.navigate('relationshipDetail');
      };


      $scope.navigate = function (state) {
          nav.navigate(state);
      };
    }]);
})();
