﻿
(function () {
  "use strict"
  
  angular.module('starter')
  .controller('riskWarning', ['$rootScope', '$scope', '$ionicScrollDelegate', 'nav', 'nativeHelper', 'control', 'validate', 'localStorage', function ($rootScope, $scope, $ionicScrollDelegate, nav, nativeHelper, control, validate, localStorage) {
      $scope.riskWarningSearch = { 'key': '' };
      //控制搜索历史和搜索的数据,false:显示搜索历史；true：显示搜索的数据
      $scope.isShow = false;
        $scope.isloadmore = false;

        var page = 1;
        var showNum = 10;

        var getRiskWarningList = function (key) {
            control.showLoading();

            var params = [{ "entName": key }];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) { return; }
                $scope.can_loadmore = true;
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.riskWarningList = result.data;
                            //$scope.riskWarningTotal = result.num;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getRiskWarningList({ data: params, success: successFunc, fail: failFunc });
        }
       //搜索
        $scope.search = function () {
            //control.showLoading();
            $scope.isShow = true;
            if (!validate.nullOrEmpty($scope.riskWarningSearch.key)) {
                var isEqual = false;
                angular.forEach($rootScope.searchHistory, function (data, index, array) {

                    if (data == $scope.riskWarningSearch.key) {
                        isEqual = true;
                    }
                });
                if (!isEqual) {
                    $rootScope.searchHistory.push($scope.riskWarningSearch.key);
                    localStorage.setObject('searchHistory', $rootScope.searchHistory);
                }
                   getRiskWarningList($scope.riskWarningSearch.key);
            $ionicScrollDelegate.scrollTop();
            } else {
                //control.hideLoading();
                control.showPopup('请输入企业名、社会统一代码等关键字', 2000);
            }
         
        };
        
      //点击搜索历史进行查询
        $scope.lookup = function (item) {
            $scope.riskWarningSearch.key = item;
            getRiskWarningList(item);
            control.showLoading();
            $scope.isShow = true;
        };

        //获取下拉刷新数据
        //$scope.doRefresh = function () {
        //    showNum = 10;
        //    getRiskWarningList($scope.riskWarningSearch.key);
        //    $scope.$broadcast('scroll.refreshComplete');
        //};
        
        //上拉换页
        //$scope.can_loadmore = true;
        //$scope.loadMore = function () {
        //    if ($scope.riskWarningList.length > 0) {
        //        if ($scope.riskWarningTotal > showNum) {
        //            showNum = showNum + showNum;
        //            getRiskWarningList($scope.riskWarningSearch.key);
        //        } else {
        //            $scope.isloadmore = true;
        //        }
        //    }
        //    $scope.can_loadmore = false;
        //    $scope.$broadcast('scroll.infiniteScrollComplete');
        //}  

      //搜索框捕获焦点后显示搜索历史
        $scope.isFocus = function () {
            $ionicScrollDelegate.scrollTop();
            $scope.isShow = false;
        };
        $scope.navToDetail = function (item) {
         
                $rootScope.curEnterpriseInfo = item;
                $rootScope.riskWarningParent = 'riskWarning';
                nav.navigate('riskWarningDetail');
            
         
        };

      $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();
