﻿(function () {
    "use strict"
    angular.module('starter')
    .controller('shareholderAndExecutive', ['$rootScope', '$scope', '$ionicScrollDelegate', 'nav', 'nativeHelper', 'localStorage', 'utility', 'control', 'validate', function ($rootScope, $scope, $ionicScrollDelegate, nav, nativeHelper, localStorage, utility, control, validate) {
        $scope.isSearch = false;
        $rootScope.searchRecord = { key: '' }
        $scope.isShow = false;
        //页码
        var pageNum = 1;
        //显示的数量
        var showNum = 10;

        var getShareholderAndExecutive = function (key) {
            control.showLoading();
            var params = [{'userId':$rootScope.userInfo.uid, 'name': key}];
            var successFunc = function (result) {
                control.hideLoading();

                $scope.can_loadmore = true;
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.shareholderAndExecutiveList = result.data;
                            //$scope.recordsTotal = result.sumNumber;
                        });
                        break;
                    case "fail":
                        $scope.can_loadmore = false;
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getShareholderAndExecutive({ data: params, success: successFunc, fail: failFunc });
        };

         //点击搜索历史进行查询
        $scope.lookup = function (item) {
            control.showLoading();
             $rootScope.searchRecord.key = item;
             getShareholderAndExecutive(item);
             $scope.isShow = true;
         };

        $scope.search = function () {
            //control.showLoading();
             $scope.isShow = true;
             if (!validate.nullOrEmpty($rootScope.searchRecord.key)) {
                 var isEqual = false;
                 angular.forEach($rootScope.searchHistory, function (data, index, array) {

                     if (data == $rootScope.searchRecord.key) {
                         isEqual = true;
                     }

                 });
                 if (!isEqual) {
                     $rootScope.searchHistory.push($rootScope.searchRecord.key);
                     localStorage.setObject('searchHistory', $rootScope.searchHistory);
                 }
                 getShareholderAndExecutive($rootScope.searchRecord.key);
                 control.showLoading();
                 $ionicScrollDelegate.scrollTop()
             } else {
               //control.hideLoading();
                 control.showPopup('请输入法人，高管，股东等关键字', 2000);
             }

            ;
         };

         //获取下拉刷新数据
         //$scope.doRefresh = function () {
         //    showNum = 10;
         //    getShareholderAndExecutive($rootScope.searchRecord.key);
         //    $scope.$broadcast('scroll.refreshComplete');
         //};

        //上拉换页
        //can_loadmore是否允许加载更多事件
         //$scope.can_loadmore = true;
        //是否还有更多数据
         //$scope.isloadmore = false;
         //$scope.loadMore = function () {
       
         //        if ($scope.recordsTotal > showNum) {
         //            showNum = showNum + showNum;
         //            getShareholderAndExecutive($rootScope.searchRecord.key);
         //        } else {
                  
         //            $scope.isloadmore = true;
         //        }
         //    $scope.$broadcast('scroll.infiniteScrollComplete');
         //}

        //搜索框捕获焦点后显示搜索历史
        $scope.isFocus = function () {
             $ionicScrollDelegate.scrollTop();
             $scope.isShow = false;
         };
         //监听企业详情中的查高管事件
         $scope.$watch('searchRecord.key', function () {
             if ($rootScope.shareholderAndExecutiveParent == 'entBackgroudInfo') {
                 $scope.search();
             }
         });


         //搜索框捕获焦点后显示搜索历史
         $scope.isFocus = function () {
             $scope.isShow = false;
         };

        $scope.navToList = function (item) {
            $rootScope.curEnterpriseInfo = item;
            $rootScope.entDetailParent = 'shareholderAndExecutive';
            nav.navigate('entDetail');
        };

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();