﻿(function () {
    //"use strict"

    angular.module('starter')
    .factory('nativeHelper', [function () {
        var nativeCaller = function (method, options) {
            return Cordova.exec(options.success, options.fail, "CreditPlugin", method, options.data);
        };

        //加、解密
        var getEncryptAndDecryptStr = function (options) { nativeCaller("getEncryptAndDecryptStr", options); };

        //检查更新
        var checkUpdate = function (options) { nativeCaller("checkUpdate", options); };

        //用户登录
        var signIn = function (options) { nativeCaller("signIn", options); };

        //修改密码
        var modifyPwd = function (options) { nativeCaller("modifyPwd", options); };
        
        //关注消息和系统消息
        var getFollowAndSystemMessage = function (options) { nativeCaller("getFollowAndSystemMessage", options); };

        //已读未读状态
        var readingState= function (options) { nativeCaller("readingState", options); };
        //关注企业
        var getAttentionEnt = function (options) { nativeCaller("getAttentionEnt", options); };

        //取消关注
        var getCancelAttention = function (options) { nativeCaller("getCancelAttention", options); };

        //企业列表
        var getEnterpriseList = function (options) { nativeCaller("getEnterpriseList", options); };

        //关注的企业列表
        var getAttentionEntList= function (options) { nativeCaller("getAttentionEntList", options); };

        //分组列表数据
        var getGroupData = function (options) { nativeCaller("getGroupData", options); };

        //管理分组
        var getManageGroup = function (options) { nativeCaller("getManageGroup", options); };

        //企业详情子项数据总数
        var getDetailCount = function (options) { nativeCaller("getDetailCount", options); };

        //查关系网络企业列表
        var getRelationshipList = function (options) { nativeCaller("getRelationshipList", options); };

        //关系网详情
        var getRelationData = function (options) { nativeCaller("getRelationData", options); };

        //自然人失信
        var getDiscreditableList = function (options) { nativeCaller("getDiscreditableList", options); };

        //企业失信
        var getEnterpriseDishonestyList = function (options) { nativeCaller("getEnterpriseDishonestyList", options); };

        //风险预警企业查询
        var getRiskWarningList = function (options) { nativeCaller("getRiskWarningList", options); };

        //风险预警企业详情
        var getRiskWarningDetailList= function (options) { nativeCaller("getRiskWarningDetailList", options); };

        //获取股东和高管信息
        var getShareholderAndExecutive = function (options) { nativeCaller("getShareholderAndExecutive", options); };

        //信用报告
        var getCreditReportData = function (options) { nativeCaller("getCreditReportData", options); };

        //信用报告详情
        var getCreditReportDetail = function (options) { nativeCaller("getCreditReportDetail", options); };

        //企业详情通用模板数据
        var getNormalList = function (options) { nativeCaller("getNormalList", options); };

        //许可信息
        var getLicenseInfo = function (options) { nativeCaller("getLicenseInfo", options); };

        //历史变更
        var getEntChangeHistoryList = function (options) { nativeCaller("getEntChangeHistoryList", options); };

        //企业异常名录
        var getExceptionList = function (options) { nativeCaller("getExceptionList", options); };

        //证照信息
        var getCertInfoList = function (options) { nativeCaller("getCertInfoList", options); };

        //司法信息
        var getJusticeInfo = function (options) { nativeCaller("getJusticeInfo", options); };

        //企业基本信息
        var getEntBaseInfo = function (options) { nativeCaller("getEntBaseInfo", options); };

        //注册页面使用
        var accountCheck = function (options) { nativeCaller("accountCheck", options); };

        //获取信用评分数据
        var getCreditScore= function (options) { nativeCaller("getCreditScore", options); };

         //注册页面使用
        var getMesAuthCode = function (options) { nativeCaller("getMesAuthCode", options); };
        var signUp = function (options) { nativeCaller("signUp", options); };
        var getIOSAuth = function (options) { nativeCaller("getIOSAuth", options); };

        return {
            checkUpdate:checkUpdate,
            getEncryptAndDecryptStr:getEncryptAndDecryptStr,
            signIn: signIn,
            modifyPwd: modifyPwd,
            getFollowAndSystemMessage:getFollowAndSystemMessage,
            getAttentionEnt: getAttentionEnt,
            getEnterpriseList:getEnterpriseList,
            getGroupData:getGroupData,
            getManageGroup:getManageGroup,
            getAttentionEntList: getAttentionEntList,
            getRelationshipList:getRelationshipList,
            getRelationData:getRelationData,
            getCancelAttention: getCancelAttention,
            getDiscreditableList: getDiscreditableList,
            getRiskWarningList:getRiskWarningList,
            getRiskWarningDetailList: getRiskWarningDetailList,
            getShareholderAndExecutive: getShareholderAndExecutive,
            getCreditReportData: getCreditReportData,
            getNormalList: getNormalList,
            getLicenseInfo: getLicenseInfo,
            getCreditReportDetail:getCreditReportDetail,
            getEntChangeHistoryList: getEntChangeHistoryList,
            getDetailCount: getDetailCount,
            getExceptionList: getExceptionList,
            getCertInfoList:getCertInfoList,
            getJusticeInfo: getJusticeInfo,
            getEnterpriseDishonestyList: getEnterpriseDishonestyList,
            getEntBaseInfo: getEntBaseInfo,
            readingState:readingState,
            accountCheck:accountCheck,
            getMesAuthCode:getMesAuthCode,
            signUp:signUp,
            getIOSAuth:getIOSAuth,
            getCreditScore:getCreditScore
        };
    }]);
})();
